Subject: bug#870 closed by [email-masked] (#870: fixed in src:xfce4-session version 4.20.0-1devuan2)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Tue, 31 Dec 2024 09:24:18 +0000

This is an automatic notification regarding your bug report
which was filed against the xfce4-session package:

#870: /usr/bin/xflock4: xflock4: gdbus: not found; missing dependency on libglib2.0-bin

It has been closed by [email-masked].

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact [email-masked] by
replying to this email.

-- 
870: https://bugs.devuan.org/cgi/bugreport.cgi?bug=870
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: #870: fixed in src:xfce4-session version 4.20.0-1devuan2
From: [email-masked]
To: [email-masked]
Date: Tue, 31 Dec 2024 09:23:09 +0000

Version: 4.20.0-1devuan2

Source package xfce4-session (4.20.0-1devuan2) added to Devuan suite unstable.

This closes bug report 870.

Thanks

DAK managing the Devuan archive

Format: 1.8
Date: Tue, 31 Dec 2024 07:27:50 +0000
Source: xfce4-session
Architecture: source
Version: 4.20.0-1devuan2
Distribution: unstable
Urgency: medium
Maintainer: Mark Hindley <[email-masked]>
Changed-By: Mark Hindley <[email-masked]>
Closes: 870
Changes:
 xfce4-session (4.20.0-1devuan2) unstable; urgency=medium
 .
   * d/control: add Depends libglib2.0-bin for xflock4. (Closes: #870)
Checksums-Sha1:
 bd39b525926afc05656dde2f1aae1564526d9d06 1955 xfce4-session_4.20.0-1devuan2.dsc
 e203ecd3a1b7a9abb1b31c0b650a7b5836dbec45 15648 xfce4-session_4.20.0-1devuan2.debian.tar.xz
 1b80cc4275d8c6dde6ec2a5bee37d6224172beb2 5472 xfce4-session_4.20.0-1devuan2_source.buildinfo
Checksums-Sha256:
 62cf8788b6cb94c333351cf9f9170891fd6501ea476ca2daf91020d9f2f71b7f 1955 xfce4-session_4.20.0-1devuan2.dsc
 9f32edc939b44a55aca75aed6d255f375252c24d7037c181ae2d9cf6f5271aa9 15648 xfce4-session_4.20.0-1devuan2.debian.tar.xz
 78af44a901354bade5144ef97e6a2fff8aba08b67847a842cbee6fb5451e3f2d 5472 xfce4-session_4.20.0-1devuan2_source.buildinfo
Files:
 d8255dcc3f683eab08083e9867cdb134 1955 xfce optional xfce4-session_4.20.0-1devuan2.dsc
 d03f10d83ccfd49c51f1a2719fe9dc54 15648 xfce optional xfce4-session_4.20.0-1devuan2.debian.tar.xz
 9216c32d5d04ea475cdaf9dd1330b711 5472 xfce optional xfce4-session_4.20.0-1devuan2_source.buildinfo

Subject: /usr/bin/xflock4: xflock4: gdbus: not found; missing dependency on libglib2.0-bin
From: Alejandro Colomar <[email-masked]>
To: Devuan Bug Tracking System <[email-masked]>
Date: Mon, 30 Dec 2024 21:33:20 +0100

Package: xfce4-session
Version: 4.20.0-1devuan1
Severity: grave
File: /usr/bin/xflock4
Justification: renders package unusable

Dear Maintainer,

Since recently, I can't lock screen on XFCE4.  This happens both in
Debian and in Devuan.  I tried doing it from the terminal:

	$ xflock4
	/usr/bin/xflock4: 49: gdbus: not found

And it seems a dependency is missing.

	$ apt-file find -x bin/gdbus$
	libglib2.0-bin: /usr/bin/gdbus

I've installed libglib2.0-bin, and now it works.  It seems the
dependency is missing.  Would you mind adding it?

Reported-by: Alejandro Colomar <[email-masked]>

Have a lovely new year!
Alex

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 6 (excalibur/ceres)
Release:	6
Codename:	excalibur ceres
Architecture: x86_64

Kernel: Linux 6.12.6-amd64 (SMP w/24 CPU threads; PREEMPT)
Kernel taint flags: TAINT_WARN
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /usr/bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

Versions of packages xfce4-session depends on:
ii  libatk1.0-0t64                                         2.54.0-1
ii  libc6                                                  2.40-4
ii  libcairo-gobject2                                      1.18.2-2
ii  libcairo2                                              1.18.2-2
ii  libgdk-pixbuf-2.0-0                                    2.42.12+dfsg-1+b1
ii  libglib2.0-0t64                                        2.82.4-1
ii  libgtk-3-0t64                                          3.24.43-4
ii  libgtk-layer-shell0                                    0.8.2-1+b1
ii  libice6                                                2:1.1.1-1
ii  libpango-1.0-0                                         1.55.0+ds-3
ii  libpolkit-gobject-1-0                                  125-2devuan1
ii  libpolkit-gobject-elogind-1-0 [libpolkit-gobject-1-0]  125-2devuan1
ii  libsm6                                                 2:1.2.4-1
ii  libx11-6                                               2:1.8.10-2
ii  libxfce4ui-2-0                                         4.20.0-1
ii  libxfce4util7                                          4.20.0-1
ii  libxfce4windowing-0-0                                  4.20.0-1
ii  libxfconf-0-3                                          4.20.0-1
ii  x11-xserver-utils                                      7.7+10+b1
ii  xfce4-settings                                         4.20.0-1
ii  xfconf                                                 4.20.0-1

Versions of packages xfce4-session recommends:
ii  dbus-x11 [default-dbus-session-bus]  1.16.0-1devuan1
ii  libpam-elogind [logind]              255.5-3
ii  upower                               1.90.6-2
ii  xfdesktop4                           4.20.0-1
ii  xfwm4                                4.20.0-1
ii  xscreensaver                         6.08+dfsg1-1+b1

Versions of packages xfce4-session suggests:
pn  fortune-mod  <none>
ii  sudo         1.9.16p1-1

-- no debconf information